import { EventEmitter } from '@angular/core';
import { ShareButtonsMetadata, ShareEvent, SharePlatform, ShareButtonConfig } from './types';
import * as i0 from "@angular/core";
export declare class ShareButtonsComponent {
    props: ShareButtonsMetadata;
    shareComplete: EventEmitter<ShareEvent>;
    private toastController;
    private i18n;
    getButtons(): ShareButtonConfig[];
    getButtonFill(): 'solid' | 'outline' | 'clear';
    getButtonIcon(button: ShareButtonConfig): string;
    getButtonLabel(button: ShareButtonConfig): string;
    getButtonColor(button: ShareButtonConfig): string;
    share(platform: SharePlatform): Promise<void>;
    private openShareUrl;
    private nativeShare;
    private copyToClipboard;
    private getCopySuccessMessage;
    private isNativeShareSupported;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShareButtonsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ShareButtonsComponent, "val-share-buttons", never, { "props": { "alias": "props"; "required": false; }; }, { "shareComplete": "shareComplete"; }, never, never, true, never>;
}
